Skip to Content
kosemdocs
ReferenceAPIAccess profiles

List access profiles in project

Lists the access profiles of an organization, or of a project (its own and those shared by its organization).

GET
/v1/projects/{project}/accessProfiles

Lists the access profiles of an organization, or of a project (its own and those shared by its organization).

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of connections to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
accessProfiles*array<>

Access profiles, oldest first.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/accessProfiles'
Example Response
{
  "accessProfiles": [
    {
      "alias": "string",
      "availability": {
        "allProjects": true,
        "projects": [
          "string"
        ]
      },
      "config": {
        "property1": null,
        "property2": null
      },
      "connection": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "description": "string",
      "etag": "string",
      "name": "string",
      "provider": "string",
      "source": "string",
      "state": "ACTIVE",
      "stateReason": "string",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ],
  "nextPageToken": "string"
}